Bug 256392 - www/midori: drop non-needed dependency
Summary: www/midori: drop non-needed dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-xfce (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-06-02 21:11 UTC by Evgeniy Khramtsov
Modified: 2021-06-04 14:45 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback+


Attachments
patch (811 bytes, patch)
2021-06-02 21:11 UTC, Evgeniy Khramtsov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-06-02 21:11:00 UTC
Created attachment 225514 [details]
patch

xscrnsaver was needed when inactivity-reset was introduced:
https://github.com/midori-browser/core/commit/8befee34f5ee4613805ea778fd77d0778ce10e79

Since then, it was re-introduced without relying on X11:
https://github.com/midori-browser/core/commit/7850aa458ec41a1d0462b0a592a04988c1024c0b

Repo grep for xscreensaver includes returns nothing, xscreensaver was dropped in some commit before, hard to git grep or blame since the file where the dependency was introduced no longer exists.

This is needed for www/midori to not pull libX11 and related dependencies (Wayland-only environment). Related webkit2-gtk3 PR is 255528.
Comment 1 Guido Falsi freebsd_committer 2021-06-03 13:14:25 UTC
Thanks for reporting.

Let me test this a little before committing.
Comment 2 commit-hook freebsd_committer 2021-06-04 14:43:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7718f020d0a0e510c2f3f63932ef25918676db5f

commit 7718f020d0a0e510c2f3f63932ef25918676db5f
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-06-04 14:37:02 +0000
Commit:     Guido Falsi <madpilot@FreeBSD.org>
CommitDate: 2021-06-04 14:38:37 +0000

    www/midori: Fix dependencies

    - Remove unneeded dependency on xorg xscrnsaver [1]
    - Add missing dependency on harfbuzz [2]

    PR:                     256392 [1]
    Reported by:            poudriere run [2]

 www/midori/Makefile | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
Comment 3 Guido Falsi freebsd_committer 2021-06-04 14:45:13 UTC
Patch committed. Thanks!